ApiImpalaRoleDiagnosticsArgs (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiImpalaRoleDiagnosticsArgs

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiImpalaRoleDiagnosticsArgs

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiImpalaRoleDiagnosticsArgs
      extends Object

  Arguments used for Rolling Restart commands.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiImpalaRoleDiagnosticsArgs()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiImpalaRoleDiagnosticsArgs` | `comments(String comments)`
    `boolean` | `equals(Object o)`
    `ApiImpalaRoleDiagnosticsArgs` | `gcore(Boolean gcore)`
    `String` | `getComments()` Comments to include with this data collection.
    `Boolean` | `getGcore()`
    `Boolean` | `getJmap()`
    `BigDecimal` | `getMinidumpsCount()`
    `BigDecimal` | `getMinidumpsIntervalSeconds()`
    `Boolean` | `getPhoneHome()`
    `BigDecimal` | `getStacksCount()`
    `BigDecimal` | `getStacksIntervalSeconds()` Interval between stack collections.
    `String` | `getTicketNumber()` The support ticket number to attach to this data collection.
    `int` | `hashCode()`
    `ApiImpalaRoleDiagnosticsArgs` | `jmap(Boolean jmap)`
    `ApiImpalaRoleDiagnosticsArgs` | `minidumpsCount(BigDecimal minidumpsCount)`
    `ApiImpalaRoleDiagnosticsArgs` | `minidumpsIntervalSeconds(BigDecimal minidumpsIntervalSeconds)`
    `ApiImpalaRoleDiagnosticsArgs` | `phoneHome(Boolean phoneHome)`
    `void` | `setComments(String comments)`
    `void` | `setGcore(Boolean gcore)`
    `void` | `setJmap(Boolean jmap)`
    `void` | `setMinidumpsCount(BigDecimal minidumpsCount)`
    `void` | `setMinidumpsIntervalSeconds(BigDecimal minidumpsIntervalSeconds)`
    `void` | `setPhoneHome(Boolean phoneHome)`
    `void` | `setStacksCount(BigDecimal stacksCount)`
    `void` | `setStacksIntervalSeconds(BigDecimal stacksIntervalSeconds)`
    `void` | `setTicketNumber(String ticketNumber)`
    `ApiImpalaRoleDiagnosticsArgs` | `stacksCount(BigDecimal stacksCount)`
    `ApiImpalaRoleDiagnosticsArgs` | `stacksIntervalSeconds(BigDecimal stacksIntervalSeconds)`
    `ApiImpalaRoleDiagnosticsArgs` | `ticketNumber(String ticketNumber)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiImpalaRoleDiagnosticsArgs

          public ApiImpalaRoleDiagnosticsArgs()

  - ### Method Detail

    - #### ticketNumber

          public ApiImpalaRoleDiagnosticsArgs ticketNumber(String ticketNumber)

    - #### getTicketNumber

          public String getTicketNumber()

      The support ticket number to attach to this data collection.
      Returns:
        ticketNumber

    - #### setTicketNumber

          public void setTicketNumber(String ticketNumber)

    - #### comments

          public ApiImpalaRoleDiagnosticsArgs comments(String comments)

    - #### getComments

          public String getComments()

      Comments to include with this data collection.
      Returns:
        comments

    - #### setComments

          public void setComments(String comments)

    - #### stacksCount

          public ApiImpalaRoleDiagnosticsArgs stacksCount(BigDecimal stacksCount)

    - #### getStacksCount

          public BigDecimal getStacksCount()

      Returns:
        stacksCount

    - #### setStacksCount

          public void setStacksCount(BigDecimal stacksCount)

    - #### stacksIntervalSeconds

          public ApiImpalaRoleDiagnosticsArgs stacksIntervalSeconds(BigDecimal stacksIntervalSeconds)

    - #### getStacksIntervalSeconds

          public BigDecimal getStacksIntervalSeconds()

      Interval between stack collections. Defaults to 0
      Returns:
        stacksIntervalSeconds

    - #### setStacksIntervalSeconds

          public void setStacksIntervalSeconds(BigDecimal stacksIntervalSeconds)

    - #### jmap

          public ApiImpalaRoleDiagnosticsArgs jmap(Boolean jmap)

    - #### getJmap

          public Boolean getJmap()

      Returns:
        jmap

    - #### setJmap

          public void setJmap(Boolean jmap)

    - #### gcore

          public ApiImpalaRoleDiagnosticsArgs gcore(Boolean gcore)

    - #### getGcore

          public Boolean getGcore()

      Returns:
        gcore

    - #### setGcore

          public void setGcore(Boolean gcore)

    - #### minidumpsCount

          public ApiImpalaRoleDiagnosticsArgs minidumpsCount(BigDecimal minidumpsCount)

    - #### getMinidumpsCount

          public BigDecimal getMinidumpsCount()

      Returns:
        minidumpsCount

    - #### setMinidumpsCount

          public void setMinidumpsCount(BigDecimal minidumpsCount)

    - #### minidumpsIntervalSeconds

          public ApiImpalaRoleDiagnosticsArgs minidumpsIntervalSeconds(BigDecimal minidumpsIntervalSeconds)

    - #### getMinidumpsIntervalSeconds

          public BigDecimal getMinidumpsIntervalSeconds()

      Returns:
        minidumpsIntervalSeconds

    - #### setMinidumpsIntervalSeconds

          public void setMinidumpsIntervalSeconds(BigDecimal minidumpsIntervalSeconds)

    - #### phoneHome

          public ApiImpalaRoleDiagnosticsArgs phoneHome(Boolean phoneHome)

    - #### getPhoneHome

          public Boolean getPhoneHome()

      Returns:
        phoneHome

    - #### setPhoneHome

          public void setPhoneHome(Boolean phoneHome)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.